curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "create-video",
"input": {
"model": "kling-1-6-pro-text-to-video",
"prompt": "A drone shot flying over a tropical island"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "create-video",
"createdAt": "2024-01-15T10:30:00.000Z"
}
Generate videos from text using Kling 1.6 Pro.
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "create-video",
"input": {
"model": "kling-1-6-pro-text-to-video",
"prompt": "A drone shot flying over a tropical island"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "create-video",
"createdAt": "2024-01-15T10:30:00.000Z"
}
| Credits | 20 credits per second |
| Tool | create-video |
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Your API key |
Content-Type | string | Yes | application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
tool | string | Yes | create-video |
input.model | string | Yes | kling-1-6-pro-text-to-video |
input.prompt | string | Yes | Text description of the video to generate |
input.duration | number | No | Duration in seconds. Options: 5, 10 |
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "create-video",
"input": {
"model": "kling-1-6-pro-text-to-video",
"prompt": "A drone shot flying over a tropical island"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "create-video",
"createdAt": "2024-01-15T10:30:00.000Z"
}